Page MenuHomePhabricator

When flagged revisions are in effect, users cannot review revisions if partially blocked
Closed, ResolvedPublic

Description

This was reported on Arabic Wikipedia after Partial Blocks were enabled on that wiki.

Arabic Wikipedia uses the FlaggedRevs extension and also has Partial Blocks enabled. A user there was partially blocked from a page. Now, they cannot review any revisions on any namespace or any page.

The user should be able to review revisions that are in non-blocked namespaces or on non-blocked pages.

Event Timeline

aezell created this task.Mar 21 2019, 9:00 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptMar 21 2019, 9:00 PM
aezell assigned this task to dmaza.Mar 21 2019, 9:00 PM
aezell triaged this task as High priority.
aezell edited projects, added Anti-Harassment (Vav — ו); removed Anti-Harassment.
aezell moved this task from Ready to In Progress on the Anti-Harassment (Vav — ו) board.
aezell updated the task description. (Show Details)

An on-wiki request and discussion about this is located on the Arabic wiki.

alanajjar added a comment.EditedMar 22 2019, 12:44 AM

Hello, sorry for late. I made this try (using my علاء account + Alaa account -alt. account-):

  • I blocked Alaa account from editing the page نظير إنزيمي with an expiration time of 1 day (autoblock disabled).
  • I try to edit same article then I can't edit it as expected. (Block ID #236075)
  • In arwiki we are using pending changes system, so I try to review pending change in another article (as in photo below), when I "accept revision" it working well, but when I try to "reject changes" it give me the blocking message with (Block ID #236075).

Note: if you want I can make a short video.

Change 498294 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/FlaggedRevs@master] [WIP] Fix reject changes when user is partially blocked

https://gerrit.wikimedia.org/r/498294

dmaza added a comment.Mar 22 2019, 2:31 AM

Note: if you want I can make a short video.

@alanajjar No need for a video. The information you provided is enough. Thank you

Worth checking also that a partially blocked user can use the "Advertise" feature, which they are also currently prevented from doing.

dmaza added a comment.Mar 22 2019, 3:52 PM

@dom_walden good catch. This patch fixes the advertise bug as well. There is a separate issue and that is that the user doesn't get any feedback when they are blocked and try to advertise but that's unrelated to PB.

Change 498294 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Fix reject changes when user is partially blocked

https://gerrit.wikimedia.org/r/498294

Change 498502 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/FlaggedRevs@wmf/1.33.0-wmf.22] Fix reject changes when user is partially blocked

https://gerrit.wikimedia.org/r/498502

Meno25 added a subscriber: Meno25.Mar 23 2019, 8:27 PM

Change 498502 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.33.0-wmf.22] Fix reject changes when user is partially blocked

https://gerrit.wikimedia.org/r/498502

Mentioned in SAL (#wikimedia-operations) [2019-03-25T18:32:07Z] <dcausse@deploy1001> Synchronized php-1.33.0-wmf.22/extensions/FlaggedRevs/: T218949: Fix reject changes when user is partially blocked (duration: 00m 51s)

Thanks a lot. I made a try and fixed.

Niharika closed this task as Resolved.Mar 25 2019, 9:12 PM
Niharika moved this task from QA/Testing to Done on the Anti-Harassment (Vav — ו) board.
Niharika added a subscriber: Niharika.

Thanks @alanajjar. Closing this ticket as resolved.

Meno25 removed a subscriber: Meno25.May 31 2019, 11:40 AM